Install Genymotion Android Emulator in Ubuntu 14.04

  • by
  • 3 Years ago
  • 50

Genymotion is the next generation of the AndroVM open source project, already trusted by 900,000 developers. It is a fast, cross-platform Android emulator that comes with pre-configured Android in it. It’s so easy to use and has lots of functionality that normal android emulator doesn’t. It can be very useful for developers, testers, salesman or even gamers. It is available for most operating systems: Windows, Linux and Mac OS X. It is as simple to install as powerful to use:

Features

Android as its best

  • OpenGL acceleration to achieve the best 3D performance
  • Enable full screen option and improve your experience
  • Be precise in your UI development with the “pixel perfect” functionality

Fully controllable

  • Start multiple virtual device at the same time
  • Manage sensors:
    • Battery level / status
    • GPS
    • Rotation
    • Camera
  • Override virtual device identifiers
  • Directly command virtual devices sensors with Genymotion Shell
  • Fully compatible with ADB. You can control your virtual device from the host

Manage your devices

  • Easy to install
  • Compatible with Microsoft Windows 32/64 bits, Mac OSX 10.6+ and Linux 32/64 bits
  • Configure virtual devices:
    • Screen resolution
    • Memory quantity
    • CPU unit quantity
  • Download and deploy easily the latest Genymotion virtual device

Install Genymotion

– First install virtualbox

sudo apt-get install virtualbox

– Click below to register on Genymotion site and download either 32bit or 64bit version depending on your hardware architecture

Register

– Change directory to where you downloaded the bin file and run following commands. Accept the default install path

chmod +x genymotion-2.2.2_x64.bin

./genymotion-2.2.2_x64.bin

– Change directory to where genymotion was installed. The default is ‘/home/[username]/genymotion/’

cd /home/[username]/genymotion/

./genymotion

– Click Yes to add your first virtual device

– Click Connect to login and install a device

– Select desired device and click Next

– Enter a name for your device and click Next

– Wait until your virtual device is downloaded and deployed

– Click Finish

– Click Play to start the emulator

  • facebook
  • googleplus
  • twitter
  • linkedin
  • linkedin
  • Fher Andrade

    Hi, I have installed genymotion at:

    /home/user/Downloads/genymotion

    then I run the comand: genymotion

    I got this error:

    genymotion: error while loading shared libraries: libgstapp-0.10.so.0: cannot open shared object file: No such file or directory

    • No_one

      Just change directory and to into genymotion and the execute genymotion.
      Try these 2 command.

      cd genymotion
      ./genymotion

      • Willie McKemie

        I get:
        willie@willie-Lenovo-G580 ~/Downloads/genymotion $ ./genymotion
        Logging activities to file: /home/willie/.Genymobile/genymotion.log
        Aborted
        Press any key to continue…

        • Cloud Network

          Willie…Watch Video on GenyMotion Install in Ubuntu 14.10

      • x1a2leader

        me too
        Logging activities to file: /home/ibnu/.Genymobile/genymotion.log
        Aborted (core dumped)
        ubuntu 15.04 x64

    • i had a similar problem but what i decided to do was to go to the downloads folder then i clicked on the icon called genymotion and it loaded really well, from there i then proceeded well with the other steps

  • mariazinha

    Thank you! It helped me a lot.

  • Abu Fariq

    Thank you, more like linux

  • Mohammad Nasr Awan Jami

    Helped alot

  • Yash Jain

    the command to install genymotion is not working for me.
    im in the right directory and executing the right command.

    after running the first command genymotion directory is not being created, so i the 2nd command has no effect.

    pls help

    • When you ran the install, did you get a prompt for installation path? What Ubuntu OS are you running?

      • Yash Jain

        My machine runs on 14.04.

        I copied the setup file from other partition to the home folder. Then the setup worked for me.

        Thanks 🙂

        • Glad you where able to get it working. Great job

      • Syuaibar Iqbal

        actually, i copied the genymotionxxxxxx.bin in home folder. And install in it.

  • Registration? Hahah, don’t make me laugh. The first thing is inspect the source code. Here is my Linux 64 bit link: http://files2.genymotion.com/genymotion/genymotion-2.4.0/genymotion-2.4.0_x64.bin. Thank you 😀

  • SalahAdDinYusuf

    Thanks man! If anyone have possible errors with Genymotion here are a good solution: http://www.ivanandrei.com/2014/11/solucion-para-ejecutar-genymotion-en-kubuntu-sin-problemas/

  • fanenos

    Nice one!

  • Maalej

    better and smpler than youtube videos, Thanks

  • ssebetta

    thanks

  • Dicky Qeon

    Uninstall genymotion plise

  • markus phillipe

    The link to install the software is broken. Please fix, thanks.

    • OK I have set the link. not sure what happened 🙁

    • paste in the link to install name of your .bin file

  • delino000

    Uninstall genymotion please ???? Any help ?

    • Have you tried this?

      ./genymotion-2.2.2_x64.bin –uninstall

      the above version might be different from yours

  • ANIL UGALE

    getting following error with new version 2.7

    ./genymotion: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `CXXABI_1.3.8′ not found (required by /home/anil/Downloads/genymotion/libQt5Core.so.5)

    ./genymotion: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.20′ not found (required by /home/anil/Downloads/genymotion/libQt5WebKit.so.5)

    ./genymotion: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `CXXABI_1.3.8′ not found (required by /home/anil/Downloads/genymotion/libicui18n.so.52)

    ./genymotion: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `CXXABI_1.3.8′ not found (required by /home/anil/Downloads/genymotion/libicuuc.so.52)

    ./genymotion: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.20′ not found (required by /home/anil/Downloads/genymotion/libQt5Qml.so.5)

    anil@anil-OptiPlex-7020:~/Downloads/genymotion$

    • Matthias Kun

      Try this in Terminal:
      LD_LIBRARY_PATH=/usr/local/lib64/:$LD_LIBRARY_PATH

      export LD_LIBRARY_PATH

      sudo apt-add-repository ppa:ubuntu-toolchain-r/test

      sudo apt-get update

      sudo apt-get install gcc-4.9 g++-4.9

      • Vitor Souza Rodrigues

        thanks! in version 2.7.2 problem solved

        • has it been released yet?

          • Vitor Souza Rodrigues
          • thanks

          • Vitor Souza Rodrigues

            My problem now is virtualbox is not starting the VM.

          • Vitor Souza Rodrigues

            solved with:
            $ sudo apt-get install linux-headers-generic
            $ sudo apt-get –reinstall install virtualbox-dkms
            $ sudo /etc/init.d/vboxdrv setup
            $ reboot

        • Phạm Hồng Phong

          Hey, please tell me what vesion of Ubuntu and Genymotion that you installed.
          My Ubuntu vesion is 14.04, Genymotion version is 2.7.2. On my computer, the folder where genymotion installed is /home/[username]/genymotion. But when I move into genymotion folder then run command: ./genymotion, the following error appeared:
          bash: ./genymotion: cannot execute binary file: Exec format error
          Now, what should I do?

          Thank you for your thoughts on this!

          • Vitor Souza Rodrigues

            Hello!
            Look I use more than one year the Elementary OS (Freya version), it is based on “Ubuntu 04.14”. I downloaded the latest version of Genymotion on the site itself, where the version is 2.7.2.

            I installed in my user folder / home / myUser / genymotion, and then ran the ./genymotion command. After I install the occurred errors reported, problems with VirtualBox, more resolved running already reported command.

    • MURUGARAJA R S

      do you overcome this problem????

  • shiva smile

    Unable to load VirtualBox engine.

    Make sure that it is properly installed before starting Genymotion.???? can you plz help this problem???

  • Augusto Ribeiro

    Just want to comment that Victor Souza Rodrigues fixes worked for me. His suggestions was bang on. Wish there were more like Victor out there…. Hope you continue to provide your help suggestions.

  • Dung Tran

    dung@dung-ubuntu:~/genymotion$ ./genymotion
    ./genymotion: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `CXXABI_1.3.8′ not found (required by /home/dung/genymotion/libQt5Core.so.5)
    ./genymotion: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.20′ not found (required by /home/dung/genymotion/libQt5WebKit.so.5)
    ./genymotion: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `CXXABI_1.3.8′ not found (required by /home/dung/genymotion/libicui18n.so.52)
    ./genymotion: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `CXXABI_1.3.8′ not found (required by /home/dung/genymotion/libicuuc.so.52)
    ./genymotion: /usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.20′ not found (required by /home/dung/genymotion/libQt5Qml.so.5)

    version: 2.8.0

    • MURUGARAJA R S

      Do u fix this problem?

  • MURUGARAJA R S

    genymotion is not working…how can I fix this error????? anyone help me !!!!!!!!
    https://uploads.disquscdn.com/images/64d3c972daa8f2b329bca8291808ebc452b4fee5f9514dfa3b850cd8bf3d4400.png

  • MURUGARAJA R S